## ros-indigo-diagnostic-aggregator 1.9.3

=== debian/changelog ===
ros-indigo-diagnostic-aggregator (1.9.3-0trusty) trusty; urgency=high

  * Merge pull request #79 <https://github.com/ros/diagnostics/issues/79> from nlamprian/indigo-devel
    Fixed base_path handling
  * Merge pull request #82 <https://github.com/ros/diagnostics/issues/82> from moriarty/fix-pluginlib-deprecated-headers
    [Aggregator] Fixes C++ Warnings (pluginlib)
  * [Aggregator] Fixes C++ Warnings (pluginlib)
    This fixes the following warnings:
    warning: Including header <pluginlib/class_list_macros.h>
    is deprecated,include <pluginlib/class_list_macros.hpp> instead. [-Wcpp]
    warning: Including header <pluginlib/class_loader.h>
    is deprecated, include <pluginlib/class_loader.hpp> instead. [-Wcpp]
    The .hpp files have been backported to indigo
  * Fixed base_path handling
  * Upstream missing changes to add_analyzers
  * Contributors: Alexander Moriarty, Austin, Nick Lamprianidis, trainman419

 -- Austin Hendrix <namniart@gmail.com>  Wed, 02 May 2018 00:00:00 -0000

ros-indigo-diagnostic-aggregator (1.9.2-0trusty) trusty; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Sat, 15 Jul 2017 00:00:00 -0000

ros-indigo-diagnostic-aggregator (1.9.1-0trusty) trusty; urgency=high

  * Add queue size parameters on Publishers
  * add_analyzers improvements
    * Warning message when bond is broken
    * Per-bond topics to avoid queue length issues
  * Option to make diagnostics in Other an error
  * Contributors: trainman419

 -- Austin Hendrix <namniart@gmail.com>  Sat, 15 Jul 2017 00:00:00 -0000

ros-indigo-diagnostic-aggregator (1.9.0-0trusty) trusty; urgency=high

  * Longer settling time
  * Fix race condition in unload
  * Fix cmake warnings
  * make rostest in CMakeLists optional (ros/rosdistro#3010 <https://github.com/ros/rosdistro/issues/3010>)
  * Changed all deprecated PLUGINLIB_DECLARE_CLASS to PLUGINLIB_EXPORT_CLASS macros
  * Contributors: Aris Synodinos, Lukas Bulwahn, trainman419

 -- Austin Hendrix <namniart@gmail.com>  Tue, 25 Apr 2017 00:00:00 -0000

ros-indigo-diagnostic-aggregator (1.8.10-0trusty) trusty; urgency=high

  * Start bond after add_diagnostics service is available
  * Contributors: Mustafa Safri

 -- Austin Hendrix <namniart@gmail.com>  Tue, 14 Jun 2016 00:00:00 -0000

ros-indigo-diagnostic-aggregator (1.8.9-0trusty) trusty; urgency=high

  * Add version dependencies in package.xml
  * Add version check in cmake
  * Add functionality for dynamically adding analyzers
  * Contributors: Michal Staniaszek, trainman419

 -- Austin Hendrix <namniart@gmail.com>  Wed, 02 Mar 2016 00:00:00 -0000

ros-indigo-diagnostic-aggregator (1.8.8-0trusty) trusty; urgency=high

  * Fix #17 <https://github.com/ros/diagnostics/issues/17>
  * Contributors: trainman419

 -- Austin Hendrix <namniart@gmail.com>  Thu, 06 Aug 2015 00:00:00 -0000

ros-indigo-diagnostic-aggregator (1.8.7-0trusty) trusty; urgency=high

  * Upgrade to gtest 1.7.0
  * Contributors: trainman419

 -- Austin Hendrix <namniart@gmail.com>  Fri, 09 Jan 2015 00:00:00 -0000

ros-indigo-diagnostic-aggregator (1.8.6-0trusty) trusty; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Wed, 10 Dec 2014 00:00:00 -0000

ros-indigo-diagnostic-aggregator (1.8.5-0trusty) trusty; urgency=high

  * Include gtest source directly
  * Contributors: trainman419

 -- Austin Hendrix <namniart@gmail.com>  Tue, 29 Jul 2014 00:00:00 -0000

ros-indigo-diagnostic-aggregator (1.8.4-0trusty) trusty; urgency=high

  * Install analyzer_loader. Fixes #24 <https://github.com/ros/diagnostics/issues/24>
  * Add dependency on message generation
  * Remove stray architechture_independent flags
    This flag should be used for package which do not contain
    architecture-specific files. Compiled binaries are such a file, and
    these packages contain them.
  * Contributors: Jon Binney, Scott K Logan, trainman419

 -- Austin Hendrix <namniart@gmail.com>  Thu, 24 Jul 2014 20:51:00 -0000

ros-indigo-diagnostic-aggregator (1.8.3-0trusty) trusty; urgency=high

  * Fix stale aggregation bug
  * Clean up stale check
    Fixes #21 <https://github.com/ros/diagnostics/issues/21>
  * Contributors: Austin Hendrix

 -- Austin Hendrix <namniart@gmail.com>  Wed, 23 Apr 2014 00:00:00 -0000

ros-indigo-diagnostic-aggregator (1.8.2-0trusty) trusty; urgency=high

  * Fix linking. All tests pass.
    Fixes #12 <https://github.com/ros/diagnostics/issues/12>
  * Most tests pass
  * Contributors: Austin Hendrix

 -- Austin Hendrix <namniart@gmail.com>  Tue, 08 Apr 2014 00:00:00 -0000

ros-indigo-diagnostic-aggregator (1.8.1-0trusty) trusty; urgency=high

  * Add myself as maintainer
  * check for CATKIN_ENABLE_TESTING
  * Contributors: Austin Hendrix, Lukas Bulwahn

 -- Austin Hendrix <namniart@gmail.com>  Mon, 07 Apr 2014 00:00:00 -0000

ros-indigo-diagnostic-aggregator (1.8.0-0trusty) trusty; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Wed, 03 Apr 2013 00:00:00 -0000

ros-indigo-diagnostic-aggregator (1.7.11-0trusty) trusty; urgency=high

  * Install analyzer_loader
  * diagnostic_aggregator) Removed redundancy in package.xml.
  * Contributors: Isaac Saito, trainman419

 -- Austin Hendrix <namniart@gmail.com>  Thu, 24 Jul 2014 20:24:00 -0000

ros-indigo-diagnostic-aggregator (1.7.10-0trusty) trusty; urgency=high

  * Changed package.xml version number before releasing
  * diagnostic_aggregator) Maintainer added.
  * Contributors: Brice Rebsamen, Isaac Saito

 -- Austin Hendrix <namniart@gmail.com>  Fri, 22 Feb 2013 00:00:00 -0000

ros-indigo-diagnostic-aggregator (1.7.9-0trusty) trusty; urgency=high

  * add missing dep to catkin
  * Contributors: Dirk Thomas

 -- Austin Hendrix <namniart@gmail.com>  Fri, 14 Dec 2012 00:00:00 -0000

ros-indigo-diagnostic-aggregator (1.7.8-0trusty) trusty; urgency=high

  * fix issue #1 <https://github.com/ros/diagnostics/issues/1>
  * missing includedirs from roscpp cause compile errors.

