=== debian/control ===
Source: ros-indigo-diagnostic-aggregator
Section: misc
Priority: extra
Maintainer: Austin Hendrix <namniart@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-bondcpp, ros-indigo-bondpy, ros-indigo-catkin (>= 0.5.68), ros-indigo-diagnostic-msgs (>= 1.11.9), ros-indigo-pluginlib, ros-indigo-roscpp, ros-indigo-rospy, ros-indigo-rostest, ros-indigo-xmlrpcpp
Homepage: http://www.ros.org/wiki/diagnostic_aggregator
Standards-Version: 3.9.2

Package: ros-indigo-diagnostic-aggregator
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-bondcpp, ros-indigo-bondpy, ros-indigo-diagnostic-msgs (>= 1.11.9), ros-indigo-pluginlib, ros-indigo-roscpp, ros-indigo-rospy, ros-indigo-xmlrpcpp
Description: diagnostic_aggregator
